Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.server
Interface AgentGroupListener

All Known Implementing Classes:
  BusyAgentsChecker, MismatchChecker

    public interface AgentGroupListener

Represents an agent-group listener which is notified when the number of agents in a group is modified or when a service starts or ends.

Method Summary
`void` | `agentGroupChange(AgentGroup group)` This method is called when the number of available or free agents in the agent group `group` is changed.
`void` | `beginService(EndServiceEvent ev)` This method is called after the service of a contact by an agent was started.
`void` | `endContact(EndServiceEvent ev)` This method is called after the communication of a contact with an agent was terminated, with `ev` containing all the information.
`void` | `endService(EndServiceEvent ev)` This method is called after the service of a contact by an agent was terminated.
`void` | `init(AgentGroup group)` This method is called after the `AgentGroup.init()` method is called for the agent group `group`.

Method Detail

### agentGroupChange

    void agentGroupChange(AgentGroup group)

  This method is called when the number of available or free agents in the agent group `group` is changed. This happens when the `AgentGroup.setNumAgents(int)` method is called, or when the efficiency is changed. This is also called when `DetailedAgentGroup.addAgent(umontreal.iro.lecuyer.contactcenters.server.Agent)` or `DetailedAgentGroup.removeAgent(umontreal.iro.lecuyer.contactcenters.server.Agent)` are used.

  Parameters:
    `group` - the agent group being modified.

### beginService

    void beginService(EndServiceEvent ev)

  This method is called after the service of a contact by an agent was started. The end-service event `ev` holds all the available information about the service.

  Parameters:
    `ev` - the end-service event associated with the contact being served.

### endContact

    void endContact(EndServiceEvent ev)

  This method is called after the communication of a contact with an agent was terminated, with `ev` containing all the information.

  Parameters:
    `ev` - the end-service event associated with the served contact.

### endService

    void endService(EndServiceEvent ev)

  This method is called after the service of a contact by an agent was terminated. The service includes the communication as well as the after-contact work.

  Parameters:
    `ev` - the end-service event associated with the served contact.

### init

    void init(AgentGroup group)

  This method is called after the `AgentGroup.init()` method is called for the agent group `group`.

  Parameters:
    `group` - the agent group being initialized.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.